com.buschmais.jqassistant.plugin.maven3.impl.scanner

## Class MavenProjectScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>
  - - com.buschmais.jqassistant.plugin.maven3.api.scanner.AbstractMavenProjectScannerPlugin
    - - com.buschmais.jqassistant.plugin.maven3.impl.scanner.MavenProjectScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<org.apache.maven.project.MavenProject,MavenProjectDirectoryDescriptor>

      public class MavenProjectScannerPlugin
      extends AbstractMavenProjectScannerPlugin

  A scanner plugin for maven projects.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenProjectScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(org.apache.maven.project.MavenProject item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope)`
    `MavenProjectDirectoryDescriptor` | `scan(org.apache.maven.project.MavenProject project, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.maven3.api.scanner.AbstractMavenProjectScannerPlugin

      `getDescriptorType, getType, resolveProject`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenProjectScannerPlugin

          public MavenProjectScannerPlugin()

  - ### Method Detail

    - #### accepts

          public boolean accepts(org.apache.maven.project.MavenProject item,
                                 String path,
                                 com.buschmais.jqassistant.core.scanner.api.Scope scope)
                          throws IOException

      Throws:
        `IOException`

    - #### scan

          public MavenProjectDirectoryDescriptor scan(org.apache.maven.project.MavenProject project,
                                                      String path,
                                                      com.buschmais.jqassistant.core.scanner.api.Scope scope,
                                                      com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                                               throws IOException

      Throws:
        `IOException`

Copyright © 2015 buschmais GbR. All rights reserved.